import os
import sys

# Full or related path to in and out folders

INPUT_DIR = "input"     # or example "SteamLibrary/steamapps/common/Eco/Eco_Data/Server/Mods/__core__/AutoGen
OUTPUT_DIR = "output"   # or example "SteamLibrary/steamapps/common/Eco/Eco_Data/Server/Mods/UserCode/AutoGen

#enter your folder above then set that here
folder = OUTPUT_DIR

for filename in os.listdir(folder):
    infilename = os.path.join(folder,filename)
    if not os.path.isfile(infilename): continue
    oldbase = os.path.splitext(filename)
    newname = infilename.replace('.cs', '.override.cs')
    output = os.rename(infilename, newname)


# Copyright (c) 2021 Gamers Community Place

#  This program is free software: you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation, either version 3 of the License, or
#     (at your option) any later version.

#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.

#     You should have received a copy of the GNU General Public License
#     along with this program.  If not, see <https://www.gnu.org/licenses/>.
